> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Create note for change by display ID

POST https://{tenant}.atomicwork.com/api/v1/change-management/changes/{display_id}/notes
Content-Type: application/json

Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/change-management/postapi-v-1-change-management-changes-display-id-notes

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Path parameters

- `display_id` (string, required) — Display ID of the change

### Headers

- `X-Workspace-Id` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `user_id` (long, optional)
- `description` (string, optional)
- `mentions` (list of long, optional)
- `is_private` (boolean, optional, default: false)
- `source` (enum, optional)
  - Allowed values: `EMAIL`, `SLACK`, `TEAMS`, `PORTAL`, `WORKFLOW`, `JOURNEY`, `API`, `UNIVERSAL_AGENT`, `RAPID7`
- `type` (enum, optional)
  - Allowed values: `ESD_NOTE`, `SLACK_NOTE`, `EMAIL_NOTE`, `RATING`, `TEMPLATE`, `WORKFLOW_NOTE`
- `attachments` (list of long, optional)
- `transition` (ApiV1ChangeManagementChangesDisplayIdNotesPostRequestBodyContentApplicationJsonSchemaTransition, optional) — Applied in the same transaction as the note: both commit, or neither does. Takes the same body PATCH /api/change-management/changes/\{displayId} accepts

## Response

### 200

Successful response

## Types

### ApiV1ChangeManagementChangesDisplayIdNotesPostRequestBodyContentApplicationJsonSchemaTransition

Applied in the same transaction as the note: both commit, or neither does. Takes the same body PATCH /api/change-management/changes/\{displayId} accepts

## Examples

**Request**

```json
{
  "user_id": 0,
  "description": "",
  "mentions": [
    0
  ],
  "is_private": false,
  "source": "EMAIL",
  "type": "ESD_NOTE",
  "attachments": [
    0
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python Change Management_postapi_v1_change_management_changes__display_id__notes_example
import requests

url = "https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes"

payload = {
    "user_id": 0,
    "description": "",
    "mentions": [0],
    "is_private": False,
    "source": "EMAIL",
    "type": "ESD_NOTE",
    "attachments": [0]
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Change Management_postapi_v1_change_management_changes__display_id__notes_example
const url = 'https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes';
const options = {
  method: 'POST',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"user_id":0,"description":"","mentions":[0],"is_private":false,"source":"EMAIL","type":"ESD_NOTE","attachments":[0]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Change Management_postapi_v1_change_management_changes__display_id__notes_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes"

	payload := strings.NewReader("{\n  \"user_id\": 0,\n  \"description\": \"\",\n  \"mentions\": [\n    0\n  ],\n  \"is_private\": false,\n  \"source\": \"EMAIL\",\n  \"type\": \"ESD_NOTE\",\n  \"attachments\": [\n    0\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Change Management_postapi_v1_change_management_changes__display_id__notes_example
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"user_id\": 0,\n  \"description\": \"\",\n  \"mentions\": [\n    0\n  ],\n  \"is_private\": false,\n  \"source\": \"EMAIL\",\n  \"type\": \"ESD_NOTE\",\n  \"attachments\": [\n    0\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Change Management_postapi_v1_change_management_changes__display_id__notes_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"user_id\": 0,\n  \"description\": \"\",\n  \"mentions\": [\n    0\n  ],\n  \"is_private\": false,\n  \"source\": \"EMAIL\",\n  \"type\": \"ESD_NOTE\",\n  \"attachments\": [\n    0\n  ]\n}")
  .asString();
```

```php Change Management_postapi_v1_change_management_changes__display_id__notes_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes', [
  'body' => '{
  "user_id": 0,
  "description": "",
  "mentions": [
    0
  ],
  "is_private": false,
  "source": "EMAIL",
  "type": "ESD_NOTE",
  "attachments": [
    0
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp Change Management_postapi_v1_change_management_changes__display_id__notes_example
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"user_id\": 0,\n  \"description\": \"\",\n  \"mentions\": [\n    0\n  ],\n  \"is_private\": false,\n  \"source\": \"EMAIL\",\n  \"type\": \"ESD_NOTE\",\n  \"attachments\": [\n    0\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Change Management_postapi_v1_change_management_changes__display_id__notes_example
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "user_id": 0,
  "description": "",
  "mentions": [0],
  "is_private": false,
  "source": "EMAIL",
  "type": "ESD_NOTE",
  "attachments": [0]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/change-management/changes/display_id/notes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```